public inbox for git-commits@fedoraproject.org
help / color / mirror / Atom feed
* [rpms/php-phpunit-php-file-iterator6] f43: v6.0.2
@ 2026-08-26  6:52 Remi Collet
  0 siblings, 0 replies; only message in thread
From: Remi Collet @ 2026-08-26  6:52 UTC (permalink / raw)
  To: git-commits

            A new commit has been pushed.

            Repo   : rpms/php-phpunit-php-file-iterator6
            Branch : f43
            Commit : 7b034a33a4d5484d878700d01c972903e8d60825
            Author : Remi Collet <remi@fedoraproject.org>
            Date   : 2026-08-26T08:52:49+02:00
            Stats  : +21/-28 in 4 file(s)
            URL    : https://src.fedoraproject.org/rpms/php-phpunit-php-file-iterator6/c/7b034a33a4d5484d878700d01c972903e8d60825?branch=f43

            Log:
            v6.0.2

(cherry picked from commit 01bd39b907283cc68d042b4588ec2ae9df1607a1)
(cherry picked from commit e3f9509a00e899efc3120dac7930508a86829a09)

---
diff --git a/.gitignore b/.gitignore
index f24158a..c228959 100644
--- a/.gitignore
+++ b/.gitignore
@@ -1,2 +1,3 @@
 /php-phpunit-php-file-iterator6-6.0.0-961bc91.tgz
 /php-phpunit-php-file-iterator6-6.0.1-3d1cd09.tgz
+/php-phpunit-php-file-iterator6-6.0.2.tgz

diff --git a/makesrc.sh b/makesrc.sh
index b959795..59cf430 100755
--- a/makesrc.sh
+++ b/makesrc.sh
@@ -1,35 +1,27 @@
 #!/bin/bash
 
 NAME=$(basename $PWD)
-DATE=$(sed    -n '/^%global gh_date/{s/.* //;p}'    $NAME.spec)
 OWNER=$(sed   -n '/^%global gh_owner/{s/.* //;p}'   $NAME.spec)
 PROJECT=$(sed -n '/^%global gh_project/{s/.* //;p}' $NAME.spec)
 VERSION=$(sed -n '/^Version:/{s/.* //;p}'           $NAME.spec)
-COMMIT=$(sed  -n '/^%global gh_commit/{s/.* //;p}'  $NAME.spec)
-SHORT=${COMMIT:0:7}
 
-DATE=$(date -d "$DATE -4 days" +%Y-%m-%d)
-
-if [ -f $NAME-$VERSION-$SHORT.tgz ]; then
-	echo "$NAME-$VERSION-$SHORT.tgz already there"
+if [ -f $NAME-$VERSION.tgz ]; then
+	echo "$NAME-$VERSION.tgz already there"
 else
-	echo -e "\nCreate git snapshot\nName=$NAME, Owner=$OWNER, Project=$PROJECT, Version=$VERSION, Date=$DATE\n"
+	echo -e "\nCreate git snapshot\nName=$NAME, Owner=$OWNER, Project=$PROJECT, Version=$VERSION	\n"
 
 	echo "Cloning..."
-	rm -rf $PROJECT-$COMMIT
-	git clone --shallow-since=$DATE https://github.com/$OWNER/$PROJECT.git $PROJECT-$COMMIT || exit 1
+	rm -rf $PROJECT-$VERSION
+	git clone https://github.com/$OWNER/$PROJECT.git --depth 1 --branch $VERSION $PROJECT-$VERSION || exit 1
 
-	echo "Getting commit..."
-	pushd $PROJECT-$COMMIT
-		git checkout $COMMIT || exit1
-		cp composer.json ../composer.json
-	popd
+	echo "Getting composer..."
+	cp $PROJECT-$VERSION/composer.json composer.json
 
 	echo "Archiving..."
-	tar czf $NAME-$VERSION-$SHORT.tgz --exclude-vcs --exclude tools $PROJECT-$COMMIT
+	tar czf $NAME-$VERSION.tgz --exclude-vcs --exclude tools $PROJECT-$VERSION
 
 	echo "Cleaning..."
-	rm -rf $PROJECT-$COMMIT
+	rm -rf $PROJECT-$VERSION
 
 	echo "Done."
 fi

diff --git a/php-phpunit-php-file-iterator6.spec b/php-phpunit-php-file-iterator6.spec
index f50bc8c..fd4938d 100644
--- a/php-phpunit-php-file-iterator6.spec
+++ b/php-phpunit-php-file-iterator6.spec
@@ -1,6 +1,6 @@
 # remirepo/fedora spec file for php-phpunit-php-file-iterator6
 #
-# Copyright (c) 2009-2025 Christof Damian, Remi Collet
+# Copyright (c) 2009-2026 Christof Damian, Remi Collet
 #
 # License: MIT
 # http://opensource.org/licenses/MIT
@@ -10,11 +10,8 @@
 
 %bcond_without       tests
 
-%global gh_commit    3d1cd096ef6bea4bf2762ba586e35dbd317cbfd5
-%global gh_short     %(c=%{gh_commit}; echo ${c:0:7})
 %global gh_owner     sebastianbergmann
 %global gh_project   php-file-iterator
-%global gh_date      2026-02-02
 %global php_home     %{_datadir}/php
 # Packagist
 %global pk_vendor    phpunit
@@ -26,22 +23,22 @@
 
 
 Name:           php-%{pk_vendor}-%{pk_project}%{major}
-Version:        6.0.1
+Version:        6.0.2
 Release:        1%{?dist}
 Summary:        FilterIterator implementation based on a list of suffixes, version %{major}
 
 License:        BSD-3-Clause
 URL:            https://github.com/%{gh_owner}/%{gh_project}
 # run makesrc.sh to create a git snapshot with test suite
-Source0:        %{name}-%{version}-%{gh_short}.tgz
+Source0:        %{name}-%{version}.tgz
 Source1:        makesrc.sh
 
 BuildArch:      noarch
 BuildRequires:  php(language) >= 8.3
 %if %{with tests}
 # From composer.json, "require-dev"
-#        "phpunit/phpunit": "^12.0"
-BuildRequires:  phpunit12
+#        "phpunit/phpunit": "^12.5.33"
+BuildRequires:  phpunit12  >= 12.5.33
 %endif
 BuildRequires:  php-fedora-autoloader-devel
 
@@ -64,7 +61,7 @@ Autoloader: %{php_home}/%{ns_vendor}/%{ns_project}%{major}/autoload.php
 
 
 %prep
-%setup -q -n %{gh_project}-%{gh_commit}
+%setup -q -n %{gh_project}-%{version}
 
 
 %build
@@ -86,7 +83,7 @@ touch vendor/autoload.php
 
 : Run upstream test suite
 ret=0
-for cmd in php php83 php84 php85; do
+for cmd in php php83 php84 php85 php86; do
   if which $cmd; then
     $cmd -d auto_prepend_file=%{buildroot}%{php_home}/%{ns_vendor}/%{ns_project}%{major}/autoload.php \
       %{_bindir}/phpunit12 || ret=1
@@ -106,6 +103,9 @@ exit $ret
 
 
 %changelog
+* Wed Aug 26 2026 Remi Collet <remi@remirepo.net> - 6.0.2-1
+- update to 6.0.2
+
 * Tue Feb  3 2026 Remi Collet <remi@remirepo.net> - 6.0.1-1
 - update to 6.0.1
 

diff --git a/sources b/sources
index 3e2f03c..da23ee6 100644
--- a/sources
+++ b/sources
@@ -1 +1 @@
-SHA512 (php-phpunit-php-file-iterator6-6.0.1-3d1cd09.tgz) = 5d4b1c36759067fb390479e3e044fed97d05da06b286840e236db9ff803332a5a8cba18aad1b6ca929c2c304152efb7094e096f59a97185036c8e6e753f1ba87
+SHA512 (php-phpunit-php-file-iterator6-6.0.2.tgz) = 961fa07cc5633eb1f89501df97f345dd6fc6973321e61df19dfdf60901b9a07bde288046b72d2ee2308e2fb4394ff4f2b2a6a79603d2f4a50340aa54919238ad

^ permalink raw reply related	[flat|nested] only message in thread

only message in thread, other threads:[~2026-08-26  6:52 UTC | newest]

Thread overview: (only message) (download: mbox.gz / follow: Atom feed)
-- links below jump to the message on this page --
2026-08-26  6:52 [rpms/php-phpunit-php-file-iterator6] f43: v6.0.2 Remi Collet

This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox